#include <stdio.h>
#include <X11/StringDefs.h>
#include <X11/Intrinsic.h>

void
RegisterWidgets()
{
	extern Boolean xdsRegister();
#ifdef HANDLE_TEXT
	extern int xdsTextNameToXy();
	extern int xdsTextXyToName();
	extern int xdsTextFieldNameToXy();
	extern int xdsTextFieldXyToName();
#endif
	extern char * xdsTextGetInput();
	extern Boolean xdsTextPutInput();

	extern int xdsListNameToXy();
	extern int xdsListXyToName();
	extern int xdsScrollBarNameToXy();
	extern int xdsScrollBarXyToName();
	extern int xdsDaNameToXy();
	extern int xdsDaXyToName();


	(void) xdsRegister( "XmList", xdsListNameToXy, xdsListXyToName);
	(void) xdsRegister( "XmScrollBar", xdsScrollBarNameToXy, xdsScrollBarXyToName);
	(void) xdsRegister( "XmDrawingArea", xdsDaNameToXy, xdsDaXyToName);

	(void) xdsIMRegister( "XmText", xdsTextGetInput, xdsTextPutInput);
	(void) xdsIMRegister( "XmTextField", xdsTextGetInput, xdsTextPutInput);

#ifdef HANDLE_TEXT
	(void) xdsRegister( "XmText", xdsTextNameToXy, xdsTextXyToName);
	(void) xdsRegister( "XmTextField", xdsTextFieldNameToXy, xdsTextFieldXyToName);
#endif
}
